package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.TWarehouseUser;

import java.util.List;
import java.util.Map;

/**
 * 仓库和用户关联Mapper接口
 *
 * @author ruoyi
 * @date 2022-01-05
 */
public interface TWarehouseUserMapper {
    /**
     * 查询仓库和用户关联
     *
     * @param userId 仓库和用户关联ID
     * @return 仓库和用户关联
     */
    public TWarehouseUser selectTWarehouseUserById(Long userId);

    /**
     * 查询仓库和用户关联列表
     *
     * @param tWarehouseUser 仓库和用户关联
     * @return 仓库和用户关联集合
     */
    public List<TWarehouseUser> selectTWarehouseUserList(TWarehouseUser tWarehouseUser);

    /**
     * 根据用户ID获取仓库选择框列表
     *
     * @param userId 用户ID
     * @return 选中仓库ID列表
     */
    public List<Long> selectWarehouseListByUserId(Long userId);

    /**
     * 新增仓库和用户关联
     *
     * @param tWarehouseUser 仓库和用户关联
     * @return 结果
     */
    public int insertTWarehouseUser(TWarehouseUser tWarehouseUser);

    /**
     * 修改仓库和用户关联
     *
     * @param tWarehouseUser 仓库和用户关联
     * @return 结果
     */
    public int updateTWarehouseUser(TWarehouseUser tWarehouseUser);

    /**
     * 删除仓库和用户关联
     *
     * @param userId 仓库和用户关联ID
     * @return 结果
     */
    public int deleteTWarehouseUserById(Long userId);

    /**
     * 批量删除仓库和用户关联
     *
     * @param userIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWarehouseUserByIds(Long[] userIds);

    /**
     * 批量新增用户岗位信息
     *
     * @param warehouseUserList 用户仓库列表
     * @return 结果
     */
    public int batchWarehouseUser(List<TWarehouseUser> warehouseUserList);

    /**
     * 批量新增用户岗位信息
     *
     * @param warehouseId 仓库ID
     * @return 结果
     */
    public Map<String, Object> getWarehouseName(Long warehouseId);

    /**
     * bi大屏仓库列表
     *
     * @return 仓库集合
     */
    public List<Map<String, Object>> biWarehouseList(Long userId);

}
